<?php
	class Funcoes{		//funcoes
	
		function getClienteByTel($lst, $tel){	//pesquisa cliente na lista de clientes
			if (!empty($lst)){
				echo "teste";
				foreach ($lst as $cliente){
					if ($cliente->telefone == $tel){
						return $cliente;
					}
				}
			}
			
			return new Cliente();
		}
		
		function getCardapioInterativo($lst){		//imprime cardapio
			if(!empty($lst)){
				echo "\n\tcod\tpreco\tnomeItem\n";
				foreach ($lst as $i){
					echo "\t".$i->codItem."\tR$".number_format($i->preco,2,',','.')."\t".$i->nomeItem."\n";
				}
				echo "\n";
			}
		}
		
		function getCardapioAutomatico($lst,$saida){		//imprime cardapio
			if(!empty($lst)){
				fwrite($saida,"\n\tcod\tpreco\tnomeItem\n");
				foreach ($lst as $i){
					fwrite($saida,"\t".$i->codItem."\tR$".number_format($i->preco,2,',','.')."\t".$i->nomeItem."\n");
				}
				fwrite($saida,"\n");
			}
		}
		
		function getItemByCodigo($lst, $cod){	//verifica se possui item no cardapio
			if(!empty($lst)){
				foreach ($lst as $i){
					if($i->codItem == $cod){
						return $i;
					}
				}
			}
			return null;
		}
		
		function jaExistePedido($lst, $p){	//verifica se ja existe o pedido na lista de pedidos
			if(!empty($lst)){
				foreach ($lst as $i){
					if($i->codItem == $p->codItem){
						return true;
					}
				}
			}
			return false;
		}
		
		function aumentaQuantidade($lst, $p){	//aumenta quantidade do pedido que ja existe na lista de pedidos
			if(!empty($lst)){
				foreach ($lst as $i){
					if($i->codItem == $p->codItem){
						$i->quantidade = $i->quantidade + $p->quantidade;
					}
				}
			}
		}
			
		function calculaTotal($lstC, $lstP){	//calcula valor total da lista de pedidos segundo precos do cardapio
			$total = 0;
			if((!empty($lstC)) and (!empty($lstP))){
				foreach ($lstP as $p){
					$i = $this->getItemByCodigo($lstC,$p->codItem);
					$p->total = $p->quantidade*$i->preco;
					$total = $total + $p->total;
				}
			}
			return $total;
		}
	}
?>
