<?php
	class Interativo{
		
		public function modoInterativo($lstEntregadores,$lstCardapio){
			$funcao = new Funcoes();
 			$lstClientes = array();		//lista de clientes
 			$n = 0;		//indice lista de entregadores
 			
			while(true) {
				$telefone = readline("Telefone (0 para sair): ");
				
				if($telefone == "0"){		//sai do modo interativo
					echo "Relatorio de entregadores: relatent.csv\n";
					return $lstEntregadores;
				}
				else{
					$cliente = $funcao->getClienteByTel($lstClientes,$telefone);
					//if($cliente == NULL){
					if(isset($cliente)){
						echo "Cliente nao cadastrado. Novo cadastro:\n";
						$cliente->nomeCliente = readline("\tNome: ");
						$cliente->endereco = readline("\tEndereco: ");
						$cliente->pontoReferencia = readline("\tPonto de referencia: ");
						$cliente->telefone = $telefone;
						$cliente->lstPedidos = array();
						array_push($lstClientes,$cliente); 	//insere cliente na lista de clientes
					}
					
					echo "Cliente cadastrado: ".$cliente->nomeCliente."\n";
					
					$opcao = "c"; 	//inicializando variavel
					while((strtoupper($opcao) == "C") or (strtoupper($opcao) == "R")){
						$opcao = "x"; 	//reinicializando variavel
						while((strtoupper($opcao) != "C") and (strtoupper($opcao) != "R")){	//fica em loop caso usuario digite caracter diferente de C e R
							$opcao = readline("[C]onfirmar ou [R]ecadastrar?: ");
						}
						
						if(strtoupper($opcao) == "C"){	//confirmar
							while(true){
								$codigo = readline("Adicionar item numero(? para cardapio, 0 para finalizar): ");
								
								if($codigo == "0"){	//finaliza pedido
									$t = $funcao->calculaTotal($lstCardapio,$cliente->lstPedidos);
									echo "Total: R$ ".number_format($t,2,',','.').". ";
									$opcao = "x";
									break;
								}
								if($codigo == "?"){		//exibe cardapio
									$funcao->getCardapioInterativo($lstCardapio);
								}
								else{	//busca item no cardapio
									$itemPedido = $funcao->getItemByCodigo($lstCardapio,$codigo);
									
									if($itemPedido == null){	//item nao existe no cardapio
										echo "\tNao ha item com codigo ".$codigo." no cardapio\n";
									}
									else{
										echo "\tAdicionando ".'"'.$itemPedido->nomeItem.'"'." ao pedido. ";
										$quantidade = readline("Quantidade: ");
										$pedido = new Pedido();
										$pedido->codItem = $itemPedido->codItem;
										$pedido->quantidade = $quantidade;
										
										if($funcao->jaExistePedido($cliente->lstPedidos,$pedido)){
											$funcao->aumentaQuantidade($cliente->lstPedidos,$pedido);
										}
										else{
											array_push($cliente->lstPedidos,$pedido);
										}
									}
								}
							}
							
							$resposta = "x";	//inicializando variavel
							while((strtoupper($resposta) != "S") and (strtoupper($resposta) != "N")){	//fica em loop caso usuario digite outras letras
								$resposta = readline("Confirmar? ");
							}
							
							if(strtoupper($resposta) == "S"){	//processa pedido
								if($n < sizeof($lstEntregadores)){
									$n = $n + 1;
								}
								else{
									$n = 1;
								}
								array_push($lstEntregadores[$n-1]->lstPedidosEntregue,$cliente->lstPedidos);
								$cliente->dataHoraPedido = new DateTime();
								break;
							}
							else{	//cancela pedido
								$cliente->lstPedidos = array();
								break;
							}
						}
						
						if(strtoupper($opcao) == "R"){	//recadastrar
							$cliente->nomeCliente = readline("\tNome: ");
							$cliente->endereco = readline("\tEndereco: ");
							$cliente->pontoReferencia = readline("\tPonto de referencia: ");
							$cliente->telefone = $telefone;
							$cliente->lstPedidos = array();
							echo "Cliente cadastrado: ".$cliente->nomeCliente."\n";
						}
					}
				}
			}
		}
	}
?>
