<?php
	/*
	-----------------------------------------------------
	-	Trabalho de Linguagens de Programação 2103-2	-
	-	Sistema de informacao Disque-Rango refeicoes	-
	-	Professor: Vitor Souza							-
	-	Alunos: Gabriel Zandonadi						-
	-			Heitor Costa							-
	-			Vivian dos Reis							-
	-----------------------------------------------------
	*/
	
	/*------classes-------*/
	include "dados.php";
	include "interativo.php";
	include "automatico.php";
	include "relatorio.php";
	include "entregador.php";
	include "item.php";
	include "cliente.php";
	include "pedido.php";
	include "funcoes.php";
	
	if($argc < 5){		//verifica se entrada esta no formato correto (modo interativo)
		echo "Arquivos de entrada nao especificados. Use: main.php -e <entregadores> -c <cardapio>\n";
	}
	else{
		if($argc > 7){		//verifica se entrada esta no formato correto (modo automatico)
			echo "Arquivos de entrada nao especificados. Use: main.php -e <entregadores> -c <cardapio> in.txt out.txt\n";
		}
		else{
			/*if(strtoupper($argv[1]) == "-TESTE"){
				$indice = 3;
				$entregadores = array();
				$modo = array();
			}
			else{*/
				$indice = 2;
			//}
			try{
				if (!file_exists($argv[$indice])){
					throw new Exception($argv[$indice].": arquivo nao encontrado\n");
				}
				$fileEntregador = fopen($argv[$indice],"r");	//abre entregadores.csv modo leitura
			}
			catch (Exception $e){
				echo $e->getMessage();
				return;
			}
		
			try{
				if (!file_exists($argv[$indice])){
					throw new Exception($argv[$indice+2].": arquivo nao encontrado\n");
				}
				$fileCardapio = fopen($argv[$indice+2],"r");	//abre cardapio.csv modo leitura
			}
			catch (Exception $e){
				echo $e->getMessage();
				return;
			}
			
	/*---------------------------------------------CARREGAMENTO DOS DADOS---------------------------------------------*/
			
			$dados = new Dados();
			$dados->fileEntregador = $fileEntregador;
			$dados->fileCardapio = $fileCardapio;
			$lstEntregadores = $dados->carregaDadosEntregadores();
			$lstCardapio = $dados->carregaDadosCardapio();
			
	/*---------------------------------------------PROCESSAMENTO DOS DADOS--------------------------------------------*/
			
			if($argc == 7){		//modo automatico
				$arquivo = $argv[5];	//nome do arquivo onde contem os pedidos
				$saida = $argv[6];		//nome do arquivo de saida
				$modo = new Automatico();
				$entregadores = $modo->modoAutomatico($lstEntregadores,$lstCardapio,$arquivo,$saida);
			}
			if($argc == 5){		//modo interativo
				$modo = new Interativo();
				$entregadores = $modo->modoInterativo($lstEntregadores,$lstCardapio);
			}
			
	/*---------------------------------------------------RELATORIO---------------------------------------------------*/
			
			$relatorio = new Relatorio();
			$relatorio->geraRelatorio($entregadores,$modo);
		}
	}
	
?>