<?php
	class Automatico{
		
		public function modoAutomatico($lstEntregadores,$lstCardapio,$nomeArqPedido,$nomeArqSaida){
			$funcao = new Funcoes();
			$filePedido = fopen($nomeArqPedido,"r");	//abre in.txt modo leitura
			$saida = fopen($nomeArqSaida,"w");			//cria out.txt modo escrita
 			$lstClientes = array();		//lista de clientes
 			$n = 0;		//indice lista de entregadores
 			
			while(!feof($filePedido)) {
				$telefone = trim(fgets($filePedido));
				fwrite($saida,"Telefone (0 para sair): ".$telefone."\n");
				
				if($telefone == "0"){		//sai do modo automatico
					fwrite($saida,"Relatorio de entregadores: relatent.csv\n");
					fclose($filePedido);
					fclose($saida);
					return $lstEntregadores;
				}
				else{
					$cliente = $funcao->getClienteByTel($lstClientes,$telefone);
					
					if($cliente == null){
						fwrite($saida,"Cliente nao cadastrado. Novo cadastro:\n");
						$cliente->nomeCliente = trim(fgets($filePedido));
						fwrite($saida,"\tNome: ".$cliente->nomeCliente."\n");
						$cliente->endereco = trim(fgets($filePedido));
						fwrite($saida,"\tEndereco: ".$cliente->endereco."\n");
						$cliente->pontoReferencia = trim(fgets($filePedido));
						fwrite($saida,"\tPonto de referencia: ".$cliente->pontoReferencia."\n");
						$cliente->telefone = $telefone;
						$cliente->lstPedidos = array();
						array_push($lstClientes,$cliente); 	//insere cliente na lista de clientes
					}
					
					fwrite($saida,"Cliente cadastrado: ".$cliente->nomeCliente."\n");
					
					$opcao = "c"; 	//inicializando variavel
					while((strtoupper($opcao) == "C") or (strtoupper($opcao) == "R")){
						$opcao = "x"; 	//reinicializando variavel
						while((strtoupper($opcao) != "C") and (strtoupper($opcao) != "R")){	//fica em loop caso usuario digite caracter diferente de C e R
							$opcao = trim(fgets($filePedido));
							fwrite($saida,"[C]onfirmar ou [R]ecadastrar?: ".$opcao."\n");
						}
						
						if(strtoupper($opcao) == "C"){	//confirmar
							while(true){
								$codigo = trim(fgets($filePedido));
								fwrite($saida,"Adicionar item numero(? para cardapio, 0 para finalizar): ".$codigo."\n");
								
								if($codigo == "0"){	//finaliza pedido
									$t = $funcao->calculaTotal($lstCardapio,$cliente->lstPedidos);
									fwrite($saida,"Total: R$ ".number_format($t,2,',','.').". ");
									$opcao = "x";
									break;
								}
								if($codigo == "?"){		//exibe cardapio
									$funcao->getCardapioAutomatico($lstCardapio,$saida);
								}
								else{	//busca item no cardapio
									$itemPedido = $funcao->getItemByCodigo($lstCardapio,$codigo);
									
									if($itemPedido == null){	//item nao existe no cardapio
										fwrite($saida,"\tNao ha item com codigo ".$codigo." no cardapio\n");
									}
									else{
										fwrite($saida,"\tAdicionando ".'"'.$itemPedido->nomeItem.'"'." ao pedido. "."\n");
										$quantidade = trim(fgets($filePedido));
										fwrite($saida,"Quantidade: ".$quantidade."\n");
										$pedido = new Pedido();
										$pedido->codItem = $itemPedido->codItem;
										$pedido->quantidade = $quantidade;
										
										if($funcao->jaExistePedido($cliente->lstPedidos,$pedido)){
											$funcao->aumentaQuantidade($cliente->lstPedidos,$pedido);
										}
										else{
											array_push($cliente->lstPedidos,$pedido);
										}
									}
								}
							}
							
							$resposta = "x";	//inicializando variavel
							while((strtoupper($resposta) != "S") and (strtoupper($resposta) != "N")){	//fica em loop caso usuario digite outras letras
								$resposta = trim(fgets($filePedido));
								fwrite($saida,"Confirmar? ".$resposta."\n");
							}
							
							if(strtoupper($resposta) == "S"){	//processa pedido
								if($n < sizeof($lstEntregadores)){
									$n = $n + 1;
								}
								else{
									$n = 1;
								}
								array_push($lstEntregadores[$n-1]->lstPedidosEntregue,$cliente->lstPedidos);
								$cliente->dataHoraPedido = new DateTime();
								break;
							}
							else{	//cancela pedido
								$cliente->lstPedidos = array();
								break;
							}
						}
						
						if(strtoupper($opcao) == "R"){	//recadastrar
							$cliente->nomeCliente = trim(fgets($filePedido));
							fwrite($saida,"\tNome: ".$cliente->nomeCliente."\n");
							$cliente->endereco = trim(fgets($filePedido));
							fwrite($saida,"\tEndereco: ".$cliente->endereco."\n");
							$cliente->pontoReferencia = trim(fgets($filePedido));
							fwrite($saida,"\tPonto de referencia: ".$cliente->pontoReferencia."\n");
							$cliente->telefone = $telefone;
							$cliente->lstPedidos = array();
							fwrite($saida,"Cliente cadastrado: ".$cliente->nomeCliente."\n");
						}
					}
				}
			}
		}
	}
?>