<?php
	class Relatorio{
		function geraRelatorio($lst,$modo){		//gera relatorio de entregadores
			if(get_class($modo) == "Interativo"){
				$fileRelatorio = fopen("relatent.csv","w");
			}
			if(get_class($modo) == "Automatico"){
				$fileRelatorio = fopen("auto-relatent.csv","w");
			}
			/*if(strtoupper($modo) == "teste"){
				$fileRelatorio = fopen("teste-relatent.csv","w");
			}*/
			
			fwrite($fileRelatorio, "Entregador;Qtd. entregas;Valor total;Comissão\n");	//cabecalho
			
			usort($lst,array($this,"cmpEntregadores"));	//ordena lista de entregadores pelo nome dos entregadores
			
			for ($i = 0; $i < sizeof($lst); $i++){
				$entregador = $lst[$i]->nomeEntregador;
				$qntEntregas = sizeof($lst[$i]->lstPedidosEntregue);
				
				$total = 0;
				foreach ($lst[$i]->lstPedidosEntregue as $pedidos){
					foreach ($pedidos as $p){
						$total = $total + $p->total;
					}
				}
				
				$comissao = $total*0.05;
				
				fwrite($fileRelatorio,$entregador.";".$qntEntregas.";R$ ".number_format($total,2,',','.').";R$ ".number_format($comissao,2,',','.')."\n");
				
			}
			fclose($fileRelatorio);
			return;
		}
		
		function cmpEntregadores($e1, $e2){		//funcao auxiliar do usort. Compara nome dos entregadores
			return strcmp(strtoupper($e1->nomeEntregador),strtoupper($e2->nomeEntregador));
		}
	}
?>